Bug 64617 - Evolution mail comp. crashes after IMAP failure
Evolution mail comp. crashes after IMAP failure
Product: Red Hat Linux
Classification: Retired
Component: evolution (Show other bugs)
i386 Linux
high Severity high
: ---
: ---
Assigned To: Jeremy Katz
Depends On:
  Show dependency treegraph
Reported: 2002-05-08 13:44 EDT by Andreas-Johann Ulvestad
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-02-09 21:38:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Andreas-Johann Ulvestad 2002-05-08 13:44:16 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.0 (X11; Linux i686; U;) Gecko/20020408

Description of problem:
When the default mail address is deleted, the mail component crashes.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Start evolution with no defined accounts
2. Choose IMAP account (mine was aj@knowledge-network.no (yes, that's the
username - with @knowledge-network.no... stupid qmail+vpopmail)
3. Yes, yes, yes, next, next, next....
4. "Could not get inbox for new mail store, you didn't specify a password. no
shortcut will be created" (ehm, I'm never prompted for a password!)
5. Evolution inits
6. Click on Inbox, no accounts... ok..
7. Choose Tools->Setup mail (or something like that)
8. Delete the email account
9. Look mum, the mail component crashed!

Additional info:

Please tell me how to actually create an IMAP account in Evolution.... I've done
this lots of times before, but it actually doesn't work... after crashing the
first time, then marking that account, renaming it, adding another one with the
same address, I'm prompted for a password.. I type it.. the folders on the IMAP
servers show up, and everything is bliss... until I press 'ok'.. the folders
disappear, etc... Gone. I close evolution, start it again.. no email accounts.

PS: all folders appear in 'Subscribe folders', but they never appear anywhere
else.. quite annoying.
Comment 1 Jeremy Katz 2002-05-08 19:14:24 EDT
This is already reported upstream... the easy workaround is to create the
account,  exit, and restart and you'll get prompted for the password properly.

For some reason, the first run druid doesn't get things right always
Comment 2 Need Real Name 2002-05-13 20:06:24 EDT
Evolution 1.0.3-6 (was 1.0.3-4)
I was unable to find these reports listed upstream -- So I hope it is okay to
comment here.  I am unable to get IMAP SSL working at all.  Before RH's
Evolution update to 1.0.3-6, all that happened was no headers appeared.  Now,
Evolution hangs eating all my processor until I kill -9 it.  Mozilla IMAP SSL
works fine on the same machine.  I am wondering if RH will be updating to
Evolution 1.0.5.  It has some IMAP SSL fixes listed.

Configuration info:
OS RH 7.3 (All current updates -- kernel, evolution, mod-php, etc)
Intel celeron 300A
256 MB memory

The server is running RH 7.0.  That's all I know right now.

Since I was unable to find further bug reports, I wanted to comment here before
filing a new bug report since this was the closest of the 3 bugs I found to my

Comment 3 Jeremy Katz 2003-02-09 21:38:20 EST
This works better for me in 1.2.x

Note You need to log in before you can comment on or make changes to this bug.